# Uses of Interface
org.eclipse.jdt.debug.eval.IAstEvaluationEngine

Packages that use IAstEvaluationEngine
Package
Description
org.eclipse.jdt.debug.eval
Provides a set classes and interfaces that support evaluations in the Java debugger.

## Uses of IAstEvaluationEngine in org.eclipse.jdt.debug.eval

Methods in org.eclipse.jdt.debug.eval that return IAstEvaluationEngine
Modifier and Type
Method
Description
`static IAstEvaluationEngine`
EvaluationManager.`newAstEvaluationEngine(IJavaProject project, IJavaDebugTarget target)`
Creates and returns a new evaluation engine that performs evaluations by compiling expressions into abstract syntax trees (ASTs), and interpreting the AST over a JDI connection.